Bug 1668531 (CVE-2019-0542) - CVE-2019-0542 xterm.js: Mishandling of special characters allows for remote code execution
Summary: CVE-2019-0542 xterm.js: Mishandling of special characters allows for remote c...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-0542
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1668235 1671631 1689101 1689102 1707211
Blocks: 1668532
TreeView+ depends on / blocked
 
Reported: 2019-01-23 02:44 UTC by Sam Fowler
Modified: 2019-09-29 15:06 UTC (History)
8 users (show)

Fixed In Version: xtermjs 3.8.1, xtermjs 3.9.2, xtermjs 3.10.1
Doc Type: If docs needed, set a value
Doc Text:
It was found that xterm.js does not sanitize terminal escape sequences in browser terminals allowing for execution of arbitrary commands. An attacker could exploit this by convincing a user with a xterm.js browser terminal to display an escape sequence by, for example, reading a from a log file containing attacker-controlled input.
Clone Of:
Environment:
Last Closed: 2019-06-10 22:58:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1422 None None None 2019-06-10 16:55:54 UTC
Red Hat Product Errata RHSA-2019:2551 None None None 2019-09-05 05:03:37 UTC
Red Hat Product Errata RHSA-2019:2552 None None None 2019-08-22 01:45:55 UTC

Description Sam Fowler 2019-01-23 02:44:42 UTC
A remote code execution vulnerability exists in Xterm.js before versions 3.8.1, 3.9.2 and 3.10.1 when the component mishandles special characters.


Upstream Releases:

https://github.com/xtermjs/xterm.js/releases/tag/3.8.1
https://github.com/xtermjs/xterm.js/releases/tag/3.9.2
https://github.com/xtermjs/xterm.js/releases/tag/3.10.1

Comment 9 Sam Fowler 2019-05-07 04:16:16 UTC
Statement:

This issue affects both the atomic-openshift-web-console RPM and openshift3/ose-console container image shipped in OpenShift Container Platform. These components provide a web console for opening in-browser terminals in cluster pods. Successful exploitation of this issue would require an attacker to convince an authorized user to open an in-browser terminal on a target pod and execute a command that prints attacker-controlled input. Red Hat Product Security have rated this issue as having security impact of Moderate. A future update may address this issue.

Comment 11 errata-xmlrpc 2019-06-10 16:55:53 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHSA-2019:1422 https://access.redhat.com/errata/RHSA-2019:1422

Comment 12 errata-xmlrpc 2019-08-22 01:45:54 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.10

Via RHSA-2019:2552 https://access.redhat.com/errata/RHSA-2019:2552

Comment 13 errata-xmlrpc 2019-09-05 05:03:36 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.9

Via RHSA-2019:2551 https://access.redhat.com/errata/RHSA-2019:2551


Note You need to log in before you can comment on or make changes to this bug.